'
' Erstellt mit SharpDevelop.
' Benutzer: Tobi
' Datum: 03.03.2018
' Zeit: 15:45
' 
' Sie können diese Vorlage unter Extras > Optionen > Codeerstellung > Standardheader ändern.
'
Public Partial Class MainForm
	Dim mySQLConn As MySql.Data.MySqlClient.MySqlConnection = New MySql.Data.MySqlClient.MySqlConnection
	Dim READER As MySql.Data.MySqlClient.MySqlDataReader
	Dim COMMAND As MySql.Data.MySqlClient.MySqlCommand
	Dim mySQLBefehl As String	
	Dim bezeichnung As String
	
	Sub BtAnzeigenClick(sender As Object, e As EventArgs)
		lfArtikel.Items.Clear
		mySQLConn.ConnectionString = "server=localhost;userid=root;password='';database=haro"
		mySQLConn.Open()
		mySQLBefehl = "select * from artikel"
		COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
		READER = COMMAND.ExecuteReader
		While READER.Read
			bezeichnung = READER.GetString(1)
			lfArtikel.Items.Add(bezeichnung)
		End While
		READER.Close()
		mySQLConn.Close()
	End Sub
	
	Public Sub New()
		' The Me.InitializeComponent call is required for Windows Forms designer support.
		Me.InitializeComponent()
		
		'
		' TODO : Add constructor code after InitializeComponents
		'
	End Sub
	
	Sub BtAendernClick(sender As Object, e As EventArgs)
		mySQLConn.ConnectionString = "server=localhost;userid=root;password='';database=haro"
		mySQLConn.Open()
		mySQLBefehl = "update artikel set bezeichnung = 'neue Bezeichnung' where artikelnr = '10004';"
		COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
		READER = COMMAND.ExecuteReader
		READER.Close()
		mySQLConn.Close()
	End Sub
End Class
